<?php
	if (wp_iTunesSpy_is_wp_16() != true) {
		$div_attributes = 'class="updated"';
	} else {
		$div_attributes = 'id="message" class="updated fade"';
	}
	switch($_GET['action']) {
		case 'send_feedback':
			printf('<div ' . $div_attributes . '><p><strong>%s</strong></p></div>', wp_iTunesSpy_send_feedback());
			break;
		default:
			break;
	}
	
	// ------------------------------------------------
	
	function wp_iTunesSpy_send_feedback () {
		global $its_folder, $its_pages_folder, $its_version, $user_level, $_GET, $_POST, $wp_version;
		
		if ($_POST['mail'] == '') {
			$return = __('Please insert a valid e-mail address!', 'wp-itunesspy');
		} else {
			$argument[] = 'useragent=' . $_SERVER['HTTP_USER_AGENT'];
			$argument[] = 'referer=' . $_SERVER['HTTP_REFERER'];
			$argument[] = 'wp_version=' . $wp_version;
			$argument[] = 'blog_name=' . get_settings('blogname');
			$argument[] = 'blog_description=' . get_settings('blogdescription');
			$argument[] = 'blog_url=' . get_settings('siteurl');
			$argument[] = 'blog_home_url=' . get_settings('home');
			$argument[] = 'blog_admin_mail=' . get_settings('admin_email');
			$argument[] = 'its_version=' . $its_version;
			$argument[] = 'its_input_mode=' . get_option('itunesspy_input_mode');
			$argument[] = 'its_input_option=' . get_option('itunesspy_input_option');
			$argument[] = 'its_amazonfeedlocale=' . get_option('itunesspy_amazonfeedlocale');
			$argument[] = 'mail=' . $_POST['mail'];
			$argument[] = 'feedback=' . $_POST['feedback'];
			
			$response = wp_iTunesSpy_gateway('Feedback Ping', implode("&", $argument));
			
			if ($response) {
				if ($response == 'sent') {
					$return = __('Feedback sent successfully!', 'wp-itunesspy');
				} else {
					$return = __('There was an error while trying to send your feedback. Please try again later.', 'wp-itunesspy');
				}
			} else {
				$return = __('Could not connect to feedback server. Please try again later.', 'wp-itunesspy');
			}
		}
		return $return;
	}

	// ------------------------------------------------
	
?>
<div class="wrap">
  <h2><?php _e('iTunesSpy Feedback', 'wp-itunesspy') ?></h2>
    <form name="itsfeedback" method="post" action="<? echo add_query_arg('action', 'send_feedback', $_SERVER['REQUEST_URI']); ?>">
    	<fieldset class="options">
			<table width="100%" cellspacing="2" cellpadding="5" class="editform">
			  <tr>
				<th width="33%" valign="top" scope="row"><?php _e('Your eMail:', 'wp-itunesspy') ?></th>
				<td><input name="mail" type="text" id="mail" value="<?php
if ($_POST['mail'] == '') {
	echo form_option('admin_email');
} else {
	echo $_POST['mail'];
}
?>
" size="52" /></td>
			  </tr>
			  <tr>
				<th width="33%" valign="top" scope="row"><?php _e('Your feedback:', 'wp-itunesspy') ?></th>
				<td><textarea name="feedback" cols="50" rows="9" id="feedback"><?= $_POST['feedback'] ?></textarea></td>
			  </tr>
			</table>
			<p class="submit">
			  <input type="submit" name="Submit" value="<?php _e('Send feedback', 'wp-itunesspy') ?> &raquo;" />
			</p>
    	</fieldset>
    </form>	
</div>