<?php
/*
	In this class additional functions can be inserted which
	extend the functionallity of iTunesSpy.
*/

if (! class_exists('wp_iTunesSpy_Hacks')) {
	class wp_iTunesSpy_Hacks {
		var $table_songs;
		var $table_play;
		var $table_artcache;
		var $table_amazon;
		var $folder_path;
		
		function wp_iTunesSpy_Hacks() {
			global $table_prefix;
			global $its_folder;
			
			// tables
			$this->table_songs  = $table_prefix . "its_songs";
			$this->table_play = $table_prefix . "its_play";
			$this->table_artcache = $table_prefix . "its_artcache";
			$this->table_amazon = $table_prefix . "its_amazon";
			// --
			$this->folder_path = $its_folder;
		}
		
		//only a test function
		function test_hack() {
			// return how much tracks are in the db
			global $wpdb;
			$query = "SELECT * FROM $this->table_play";
			$tracksCount = $wpdb->query($query);
			
			return $tracksCount;
		}
		
		// insert the tracks played on the day of posting
		function getTodaysTracks2Post() {
			//$date = strftime('%Y-%m-%d %H:%M:%S', get_post_time());
			$date = strftime('%Y-%m-%d', get_post_time());
			
			$iTunesSpy = new wp_iTunesSpy();
			$tracks = $iTunesSpy->getLastTracksByTime($date, $date);
			
			if ($tracks) {
				foreach ($tracks as $track) {
					$track = $iTunesSpy->getTrack($track->id);
					
					$Out .= $iTunesSpy->getTrackInfoEx($track->id, '<li>', '</li>', '%title% - %artist% - %album%');
				}
				return '<ul>' . $Out . '</ul>';
			}
		}
	}
}
?>
