<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
	<title>iTunesSpy (covers)</title>
    <style type="text/css">
		<!--
		@import url("<?php echo($its_pages_folder); ?>style.css");
		-->
    </style>
    <style type="text/css">
		img {
			margin: 10px;
			border: 0px;
		}
		a {
			border: 0px;
		}
		a:hover {
			border: 0px;
		}
    </style>
</head>
<body>
	<div id="head">
		<h1>iTunesSpy <span>(covers)</span></h1>
	</div>
	<div class="wrap">
<?php
if (class_exists('wp_iTunesSpy')) {
	$iTunesSpy = new wp_iTunesSpy();
	
	$tracks = $iTunesSpy->getAllTracks();
	if ($tracks) {
		foreach ($tracks as $track) {
			$track = $iTunesSpy->getTrack($track->id);
			
			if ($iTunesSpy->trackArtAvailable($track->art_id, 'medium') == true) {
				$temp = $iTunesSpy->getTrackInfoEx($track->id, '', '', '<a href="%link_itunes%" title="%title% - %artist%"><img src="%art_medium_url%" width="160px" height="160px" alt="%title% - %artist%" /></a>') . "\n";
				$Out .= $iTunesSpy->getTrackArtEx($track->art_id, '', '', $temp);
			}
		}
		echo $Out;
	} else {
		_e('There are no tracks saved in the database!', 'wp-itunesspy');
	}
}
?>
	</div>
<?php
	if ($its_debug_mode == true) {
?>
	<div class="wrap">
		<h2>Debug</h2>
		<p><?php wp_iTunesSpy_trace_output(); ?></p>
	</div>
<?php
	}
?>
	<div id="footer">
		<p><a href="http://www.crea-doo.at/itunesspy/">iTunesSpy</a> <?= ($its_version); ?></p>
	</div>
</body>
</html>