<div class="wrap">
  <h2><?php _e('iTunesSpy Info', 'wp-itunesspy') ?></h2>
		<?php
			$iTunesSpy_Stats = new wp_iTunesSpy_Stats();
			$today = date('Y-m-d', time());
			$month = date('Y-m', time());
		?>
		<table width="100%" cellspacing="2" cellpadding="5" class="editform">
		  <tr>
			<th width="33%" valign="top" scope="row"><?php _e('Total tracks:', 'wp-itunesspy') ?></th>
			<td><?= $iTunesSpy_Stats->getTrackStats('SELECT * FROM ' . $iTunesSpy_Stats->table_play) ?></td>
		  </tr>
		  <tr>
			<th width="33%" valign="top" scope="row"><?php _e("Today's tracks:", 'wp-itunesspy') ?></th>
			<td><?= $iTunesSpy_Stats->getTrackStats('SELECT * FROM ' . $iTunesSpy_Stats->table_play . " WHERE FROM_UNIXTIME(date,'%Y-%m-%d') = '" . $today . "'") ?></td>
		  </tr>
		  <tr>
			<th width="33%" valign="top" scope="row"><?php _e("This month's tracks:", 'wp-itunesspy') ?></th>
			<td><?= $iTunesSpy_Stats->getTrackStats('SELECT * FROM ' . $iTunesSpy_Stats->table_play . " WHERE FROM_UNIXTIME(date,'%Y-%m') = '" . $month . "'") ?></td>
		  </tr>
		  <tr>
			<th width="33%" valign="top" scope="row"><?php _e("Tracks with album cover:", 'wp-itunesspy') ?></th>
			<td><?php
				$iTunesSpy = new wp_iTunesSpy();
				
				$tracks = $iTunesSpy->getAllTracks();
				if ($tracks) {
					foreach ($tracks as $track) {
						$track = $iTunesSpy->getTrack($track->id);
						
						if ($iTunesSpy->trackArtAvailable($track->art_id, 'small') == true) {
							$iSmall++;
						}
						if ($iTunesSpy->trackArtAvailable($track->art_id, 'medium') == true) {
							$iMedium++;
						}
						if ($iTunesSpy->trackArtAvailable($track->art_id, 'large') == true) {
							$iLarge++;
						}
					} 
				} ?>
			  <table>
				<tr>
				  <th valign="top" scope="row"><?php _e('Small:', 'wp-itunesspy'); ?></th>
				  <td><?= $iSmall; ?></td>
				  <th valign="top" scope="row"><?php _e('Medium:', 'wp-itunesspy'); ?></th>
				  <td><?= $iMedium; ?></td>
				  <th valign="top" scope="row"><?php _e('Large:', 'wp-itunesspy'); ?></th>
				  <td><?= $iLarge; ?></td>
		  		</tr>
			  </table>
			</td>
		  </tr>
		</table>
		<table width="100%" cellspacing="2" cellpadding="5" class="editform">
		  <tr>
			<th width="33%" valign="top" scope="row"><?php _e("cUrl activated:", 'wp-itunesspy') ?></th>
			<td><? if(curl_activated() == true) { _e("true", 'wp-itunesspy'); } else { _e("false", 'wp-itunesspy'); } ?></td>
		  </tr>
		</table>
</div>